unit Main;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls, VrClasses, VrGradient, ComCtrls;

type
  TForm1 = class(TForm)
    VrGradient1: TVrGradient;
    Panel1: TPanel;
    Label1: TLabel;
    Button1: TButton;
    Button2: TButton;
    Edit1: TEdit;
    Label2: TLabel;
    UpDown1: TUpDown;
    ColorDialog1: TColorDialog;
    RadioButton1: TRadioButton;
    RadioButton2: TRadioButton;
    procedure FormCreate(Sender: TObject);
    procedure FormResize(Sender: TObject);
    procedure Edit1Change(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure RadioButton1Click(Sender: TObject);
  private
    procedure WMEraseBkgnd(var Message: TWMEraseBkgnd); message WM_ERASEBKGND;
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.FormCreate(Sender: TObject);
begin
  Caption := Application.Title;
end;

procedure TForm1.WMEraseBkgnd(var Message: TWMEraseBkgnd);
begin
  Message.Result := LRESULT(False);
end;

procedure TForm1.FormResize(Sender: TObject);
begin
  Label1.Left := (VrGradient1.Width - Label1.Width) div 2;
  Label1.Top := (VrGradient1.Height - Label1.Height) div 2;
end;

procedure TForm1.Edit1Change(Sender: TObject);
begin
  VrGradient1.ColorWidth := UpDown1.Position;
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
  ColorDialog1.Color := VrGradient1.StartColor;
  if ColorDialog1.Execute then
    VrGradient1.StartColor := ColorDialog1.Color;
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
  ColorDialog1.Color := VrGradient1.EndColor;
  if ColorDialog1.Execute then
    VrGradient1.EndColor := ColorDialog1.Color;
end;

procedure TForm1.RadioButton1Click(Sender: TObject);
begin
  VrGradient1.Orientation := TVrOrientation(ord(RadioButton2.Checked));
end;


end.
